<?php

/// \file api_site_converter.php Contains the conversion class for api site objects.

// This class derives from Converter
require_once 'converter.php';

/// Provides conversion for api site objects
class APISiteConverter extends Converter
{
    protected function GetTitle($json_item)
    {
        return $json_item['name'];
    }
    
    protected function GetDescription($json_item)
    {
        return $json_item['description'];
    }
    
    protected function GetLink($json_item)
    {
        return "http://{$json_item['site_url']}/";
    }
    
    protected function GetDate($json_item)
    {
        // Return the current date
        return date(DATE_RSS);
    }
}

?>
