<?php

/// \file error.php Displays an error indicating a missing page.

require 'header.inc';

// Check to see if any errors were defined
if(!isset($error_title))
    $error_title = "This isn't the page you're looking for.";

if(!isset($error_desc))
    $error_desc = "The page you are trying to view does not exist. You have likely followed an old or outdated " .
                  "link or you have misspelled something in the URL.</p><p>If you're not sure how to find what " .
                  "you're looking for, please visit the <a href='" . CONFIG_DOCUMENT_ROOT . "'>home page</a>.";

?>
<h2><?php echo $error_title; ?></h2>
<p><?php echo $error_desc; ?></p>
<?php

require 'footer.inc';

?>
