<?php

/// \file comment_converter.php Contains the conversion class for comment objects.

// This class derives from Converter
require_once 'converter.php';

/// Provides conversion for comment objects
class CommentConverter extends Converter
{
    protected function GetTitle($json_item)
    {
        return "Comment on {$json_item['post_type']} #{$json_item['post_id']}";
    }
    
    protected function GetDescription($json_item)
    {
        return $json_item['body'];
    }
    
    protected function GetLink($json_item)
    {
        return "http://{$_GET['site']}/questions/{$json_item['post_id']}";
    }
    
    protected function GetDate($json_item)
    {
        return date(DATE_RSS, $json_item['creation_date']);
    }
}

?>
