<?php

/// \file revision_converter.php Contains the conversion class for revision objects.

// This class derives from Converter
require_once 'converter.php';

/// Provides conversion for revision objects
class RevisionConverter extends Converter
{
    protected function GetTitle($json_item)
    {
        return $json_item['comment'];
    }
    
    protected function GetDescription($json_item)
    {
        return $json_item['body'];
    }
    
    protected function GetLink($json_item)
    {
        return "http://{$_GET['site']}/revisions/{$json_item['revision_guid']}";
    }
    
    protected function GetDate($json_item)
    {
        return date(DATE_RSS, $json_item['creation_date']);
    }
}

?>
